Saltar al contenido principal
POST
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
transactions
/
dsl
Crear una Transacción usando DSL
curl --request POST \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transactions/dsl \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form dsl='@example-file'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "route": "<string>",
  "status": {
    "code": "<string>",
    "description": "<string>"
  },
  "amount": "<string>",
  "assetCode": "<string>",
  "chartOfAccountsGroupName": "<string>",
  "source": [
    "<string>"
  ],
  "destination": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "operations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountAlias": "<string>",
      "balanceId": "<string>",
      "balanceKey": "<string>",
      "description": "<string>",
      "type": "CREDIT",
      "assetCode": "<string>",
      "chartOfAccounts": "<string>",
      "route": "<string>",
      "amount": {
        "value": "<string>"
      },
      "balance": {
        "available": "<string>",
        "onHold": "<string>",
        "version": 123
      },
      "balanceAfter": {
        "available": "<string>",
        "onHold": "<string>",
        "version": 123
      },
      "status": {
        "code": "<string>",
        "description": "<string>"
      },
      "balanceAffected": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "metadata": {}
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene el Access Manager habilitado.

Content-Type
string
requerido

El tipo de medio del recurso. Debe ser application/json.

X-Request-Id
string<uuid>

Un identificador único utilizado para rastrear y seguir cada solicitud.

X-Idempotency
string

A unique key that ensures transaction idempotency. If not provided, the system automatically generates a hash based on the transaction data.

X-TTL
integer

The time-to-live for the key, defined in seconds.

Parámetros de ruta

organization_id
string
requerido

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
requerido

The unique identifier of the associated Ledger.

Cuerpo

multipart/form-data
dsl
file

The .gold file you have created with the transaction information.

Respuesta

Indica que el recurso fue creado exitosamente y la operación se completó como se esperaba.

id
string<uuid>

The unique identifier of the transaction.

organizationId
string<uuid>

The unique identifier of the Organization.

ledgerId
string<uuid>

El identificador único del Ledger.

description
string

Description of the transaction.

route
string

Specifies the Transaction Route associated with the transaction.

status
object

The transaction status (pending, completed, reversed).

amount
string

The sent amount.

assetCode
string

The name of the asset used in the operation.

chartOfAccountsGroupName
string

The name of the chart-of-accounts group.

source
string[]

The list of accounts used as source.

destination
string[]

The list of accounts used as destination.

createdAt
string<date-time>

Timestamp of creation (UTC).

updatedAt
string<date-time>

Timestamp of last update (UTC).

deletedAt
string<date-time> | null

Timestamp of soft deletion, if applicable (UTC).

operations
object[]
metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.